<?php
$token = 'EE6DEF7DCAE242C9944A5709D658E733';
$email = 'contato@poisson.com.br';
/* $data['currency'] = 'BRL';
$data['itemId1'] = '1';
$data['itemQuantity1'] = '1';
$data['itemDescription1'] = 'Publicação em Livro';
$data['itemAmount1'] = '320.00';
$data['itemWeight1'] = '0';
$data['shippingAddressRequired'] = 'false';
 */
$url = 'https://ws.sandbox.pagseguro.uol.com.br/v2/sessions?email='.$email.'&token='.$token.'';

/* $data = http_build_query($data); */

$curl = curl_init($url);

curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_POST, 1);

$retorno = curl_exec($curl);

curl_close($curl);

/* header('Content-Type: application/x-www-form-urlencoded; charset=ISO-8859-1'); */

$xml= simplexml_load_string($retorno);

echo json_encode($xml);
?>
